package at.jku.koppensteiner.androgios.nagios.model;

public class Process {
	
	public String programVersion = "";
	public String programStartTime = "";
	public String totalRunningTime = "";
	public String lastExternalCommandCheck = "";
	public String lastLogFileRotation = "";
	public String nagiosPID = "";
	public String notificationsEnabled = "";
	public String serviceChecksBeingExecuted = "";
	public String passiveServiceChecksBeingAccepted = "";
	public String hostChecksBeingExecuted = "";
	public String passiveHostChecksBeingAccepted = "";
	public String eventHandlersEnabled = "";
	public String obsessingOverServices = "";
	public String obsessingOverHosts = "";
	public String flapDetectionEnabled = "";
	public String performanceDataBeingProcessed = "";
	
	
	@Override
	public Object clone(){
		Process clone = new Process();
		
		clone.programVersion = new String(programVersion);
		clone.programStartTime = new String(programStartTime);
		clone.totalRunningTime = new String(totalRunningTime);
		clone.lastExternalCommandCheck = new String(lastExternalCommandCheck);
		clone.lastLogFileRotation = new String(lastLogFileRotation);
		clone.nagiosPID = new String(nagiosPID);
		clone.notificationsEnabled = new String(notificationsEnabled);
		clone.serviceChecksBeingExecuted = new String(serviceChecksBeingExecuted);
		clone.passiveServiceChecksBeingAccepted = new String(passiveServiceChecksBeingAccepted);
		clone.hostChecksBeingExecuted = new String(hostChecksBeingExecuted);
		clone.passiveHostChecksBeingAccepted = new String(passiveHostChecksBeingAccepted);
		clone.eventHandlersEnabled = new String(eventHandlersEnabled);
		clone.obsessingOverServices = new String(obsessingOverServices);
		clone.obsessingOverHosts = new String(obsessingOverHosts);
		clone.flapDetectionEnabled = new String(flapDetectionEnabled);
		clone.performanceDataBeingProcessed = new String(performanceDataBeingProcessed);
		
		return clone;
	}
	
	
}
