package at.jku.koppensteiner.androgios.service;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import at.jku.koppensteiner.androgios.nagios.MasterController;

public class BootReceiver extends BroadcastReceiver{

	@Override
	public void onReceive(Context context, Intent intent) {
		SharedPreferences sp = PreferenceManager.getDefaultSharedPreferences(context.getApplicationContext());
		
		if(sp.getBoolean("configuration_autostart", false)){
			MasterController.getInstance().setAppCtx(context.getApplicationContext());
			MasterController.getInstance().enableService();
		}
		
	}

}
