package at.jku.koppensteiner.androgios.parser;


import at.jku.koppensteiner.androgios.nagios.NagiosInstance;

public abstract class Parser {

	
	protected NagiosInstance instance;
	protected String html;
	
	public Parser(String html, NagiosInstance instance){
		this.instance = instance;
		this.html = html;
	}
	
	public void parse() throws ParserException {
		
		if(html==null)throw new ParserException("html was null");
		
		try{
			updateModel();
		}catch(Exception e){
			throw new ParserException(e.getMessage());
		}
		
	}
	
	protected abstract void updateModel();
	
}
